Skip to main content
POST
/
communication
/
threads
/
{id}
/
messages
cURL
curl --request POST \
  --url https://app.masivo.ai/api/storefront/v1/communication/threads/{id}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-account-id: <x-account-id>' \
  --data '
{
  "parent_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_message_id": "<string>",
  "sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sender_customer_id": "<string>",
  "sender_email": "jsmith@example.com",
  "sender_display_name": "<string>",
  "recipient_actor_ids": [
    {}
  ],
  "subject": "<string>",
  "body_text": "<string>",
  "body_html": "<string>",
  "attachments": [
    {}
  ],
  "raw_payload": {},
  "sent_at": "2023-11-07T05:31:56Z",
  "delivered_at": "2023-11-07T05:31:56Z",
  "read_at": "2023-11-07T05:31:56Z",
  "failed_at": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://app.masivo.ai/api/storefront/v1/communication/threads/{id}/messages"

payload = {
"parent_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_message_id": "<string>",
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_customer_id": "<string>",
"sender_email": "jsmith@example.com",
"sender_display_name": "<string>",
"recipient_actor_ids": [{}],
"subject": "<string>",
"body_text": "<string>",
"body_html": "<string>",
"attachments": [{}],
"raw_payload": {},
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"read_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z"
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
parent_message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
external_message_id: '<string>',
sender_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sender_customer_id: '<string>',
sender_email: 'jsmith@example.com',
sender_display_name: '<string>',
recipient_actor_ids: [{}],
subject: '<string>',
body_text: '<string>',
body_html: '<string>',
attachments: [{}],
raw_payload: {},
sent_at: '2023-11-07T05:31:56Z',
delivered_at: '2023-11-07T05:31:56Z',
read_at: '2023-11-07T05:31:56Z',
failed_at: '2023-11-07T05:31:56Z'
})
};

fetch('https://app.masivo.ai/api/storefront/v1/communication/threads/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parent_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_message_id": "<string>",
    "sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sender_customer_id": "<string>",
    "sender_email": "jsmith@example.com",
    "sender_display_name": "<string>",
    "recipient_actor_ids": [
      {}
    ],
    "subject": "<string>",
    "body_text": "<string>",
    "body_html": "<string>",
    "attachments": [
      {}
    ],
    "raw_payload": {},
    "sent_at": "2023-11-07T05:31:56Z",
    "delivered_at": "2023-11-07T05:31:56Z",
    "read_at": "2023-11-07T05:31:56Z",
    "failed_at": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required

The account that owns the communication thread

Path Parameters

id
string<uuid>
required

The communication thread id

Body

application/json
direction
enum<string>
required
Available options:
inbound,
outbound,
internal,
system
parent_message_id
string<uuid> | null
external_message_id
string | null
message_type
enum<string>
Available options:
message,
reply,
internal_note,
system_event,
review_event
channel
enum<string>
Available options:
email,
whatsapp,
chat,
review,
system,
other
sender_type
enum<string>
Available options:
customer,
agent,
system,
integration,
email,
unknown
sender_user_id
string<uuid> | null
sender_customer_id
string | null
sender_email
string<email> | null
sender_display_name
string | null
recipient_actor_ids
object[]
subject
string | null
body_text
string | null
body_html
string | null
attachments
object[]
raw_payload
object
sent_at
string<date-time> | null
delivered_at
string<date-time> | null
read_at
string<date-time> | null
failed_at
string<date-time> | null
status
enum<string> | null
Available options:
queued,
sent,
delivered,
read,
failed,
received

Response

Communication message created

data
object